PMDARPM(1)

NAME
pmdarpm - RPM packages performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/rpm/pmdarpm [-C] [-d domain] [-l logfile] [-r path] [-U username]

DESCRIPTION
pmdarpm is a Performance Metrics Domain Agent (PMDA) which extracts performance metrics reflecting the state of the RPM package database managed by rpm(1).

The rpm PMDA exports metrics that describe each package installed on a system, as well as some cumulative totals. When the RPM database changes the PMDA automatically detects this and uses a background thread to asynchronously refresh its values.

A brief description of the pmdarpm command line options follows:

-C  Verify the package iteration code by scanning the RPM database once, then exiting. Only useful for problem diagnosis and testing.

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named rpm.log is written in the current directory of pmcd(1) when pmdarpm is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

-r  Specify an alternate path to the RPM database (default is /var/lib/rpm/Packages).

-U  User account under which to run the agent. The default is the unprivileged "pcp" account.

INSTALLATION
If you want access to the names, help text and values for the rpm performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/rpm
# ./Install

If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/rpm
# ./Remove

pmdarpm is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdarpm
$PCP_PMDAS_DIR/rpm/help
    default help text file for the rpm metrics
$PCP_PMDAS_DIR/rpm/Install
    installation script for the pmdarpm agent
$PCP_PMDAS_DIR/rpm/Remove
    undo installation script for the pmdarpm agent
$PCP_LOG_DIR/pmcd/rpm.log
    default log file for error messages and other information from pmdarpm

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pcp.conf(5) and pcp.env(5).